var gulp = require('gulp');
var Elixir = require('laravel-elixir');
var config = require('./Config');
var fontgen = require('gulp-fontgen');

Elixir.extend(config.fonts.taskName, function(src, dest) {

  dest = dest || config.publicPath + '/fonts';

  if ( typeof (src) == 'string') {
    src = config.assetsPath + '/' + src
  }

  if ( typeof (src) == 'object') {
    src.forEach(function(value, key) {
      src[key] = config.assetsPath + '/' + value
    });
  }

  new Elixir.Task(config.fonts.taskName, function() {

    gulp
      .src(src)
      .pipe(fontgen({ dest: dest }))
  })

  .watch(src)

});
